const byte interruptPin = 2;

volatile int count = 0;
void add( void ) { count++; }

void setup( void ) 
{
  Serial.begin( 9600 );
  pinMode(interruptPin, INPUT_PULLUP);
  int ic = digitalPinToInterrupt(interruptPin);
  attachInterrupt(ic, add, FALLING);
}

void loop( void ) 
{
static int lastCount = -1;

  if( count != lastCount ) {
    Serial.println( count );
    lastCount = count;
    delay( 100 );
  }
}
